Subject: Revision to resolution of Issue 28

From: Bernard Aboba <[email-masked]>
Date: Wed, 2 Apr 2003 23:38:13 -0800 (PST)

Based on Mika's comments, I'd like to propose a revision of the resolution
to Issue 28, as described below:

Issue 28: Addressing
Submitter: Christian Huitema
Submitter email address: [email-masked]
Date first submitted: January 17, 2003
Reference:
Document: LLMNR-13
Comment type: T
Priority: S
Section: 2.5
Rationale/Explanation of issue:

Change:

"For IPv4 link-scope addressing, section 2.4 of "Dynamic Configuration of
IPv4 Link-Local Addresses" [IPV4Link] lays out the rules with respect to
source address selection, TTL settings, and acceptable
source/destination address combinations. IPv6 is described in [RFC2460];
IPv6 link-scope addressing is described in [RFC2373]. LLMNR queries and
responses obey the rules laid out in these documents. "

To:

"The source address of LLMNR queries and responses MUST be "on link". The
destination address of an LLMNR query MUST be a link-scope multicast
address or an "on link" unicast address; the destination address
of an LLMNR response MUST be an "on link" unicast address.
For IPv4, an "on link" address is defined as a link-local address or
an address whose prefix belongs
to a subnet on the local link; for IPv6 [RFC2460]
an "on link" address is either a link-local address, defined in
[RFC2373], or an address whose prefix
belongs to a subnet on the local link. A sender SHOULD prefer
RRs including reachable addresses where RRs involving
both reachable and unreachable addresses are returned in
response to a query."

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Aidan Williams <[email-masked]>
Date: Wed, 16 Apr 2003 13:38:30 +1000

> Change:
...
> both reachable and unreachable addresses are returned in

Why does the proposed text start talking about "reachable"
and "unreachable" rather than "on link"?

Perhaps:
   A sender SHOULD prefer RRs including "on link" addresses where
   RRs involving both "on link" and "off link" addresses are
   returned in response to a query.

- aidan

---

From: Bernard Aboba <[email-masked]>
Date: Tue, 15 Apr 2003 20:49:09 -0700 (PDT)

> and "unreachable" rather than "on link"?

See the discussion under Issue 28 on the LLMNR issues list:

http://www.drizzle.com/~aboba/DNSEXT/llmnrissues.html

The question is whether it is possible to know that a prefix is "on link".
With IPv6 this seems possible, but it is not clear for IPv4.

---

From: Aidan Williams <[email-masked]>
Date: Wed, 16 Apr 2003 14:47:33 +1000

> With IPv6 this seems possible, but it is not clear for IPv4.

I think I found what you are referring to under
   Issue 21: PTR Queries

Issue 21 winds up recommending:

   "[4] A sender SHOULD only send LLMNR queries for PTR RRs
   that represent addresses reachable through the link
   over which LLMNR is used."

"Reachable" in the proposed resolution for 28 seems different
in that it doesn't include the "through the link over which
LLMNR is used" part..  but I think that is what is desired.

How about:

   "A sender SHOULD prefer RRs including addresses known to
   be [directly] reachable through the link over which LLMNR
   is used."

- aidan

---

From: Mika Liljeberg <[email-masked]>
Date: 16 Apr 2003 09:10:19 +0300

Aidan,

The change was made because there is no easy way for an application (=
LLMNR resolver) to check whether a particular address is on-link. Not on
any operating system I know, anyway. There's no difference between IPv4
and IPv6 in this respect.

[On-link determination would become trivial, by the way, if we only
allowed LLMNR to only advertise link-local addresses].

	MikaL